commit:     54e0641396c8e504a149d34ef8f4a6efefc3e228
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  5 06:38:34 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Aug  5 06:41:03 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54e06413

dev-ruby/rspec-core: add 3.8.0

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-ruby/rspec-core/Manifest                |  1 +
 dev-ruby/rspec-core/rspec-core-3.8.0.ebuild | 87 +++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/dev-ruby/rspec-core/Manifest b/dev-ruby/rspec-core/Manifest
index 9b0420a5364..0155835aba0 100644
--- a/dev-ruby/rspec-core/Manifest
+++ b/dev-ruby/rspec-core/Manifest
@@ -2,3 +2,4 @@ DIST rspec-core-2.99.2-git.tgz 212935 BLAKE2B 
37195012f79aca3a1959f9143e2f5cbab6
 DIST rspec-core-3.5.4-git.tgz 369170 BLAKE2B 
c95fa7740bcc1b586b4e26be1db4cb52bb470cb23c9ef74dc644d0ea7c4ca769ab62e587ecff2a16cd6f656e9f3bbdc81b199765f9397dddbe28a8cdce6a1945
 SHA512 
c672381e9233b6f8c6e92ed70d084ff7a558edd6ca7d5a09a28fff1554975b952b6fab94483324b5bd6a62ff7aac576e7a216dbb3972749ef0210fe1cd05411d
 DIST rspec-core-3.6.0-git.tgz 375590 BLAKE2B 
e8b4987ea3d5cc3a403eaec98243e4c4be6c9eace798bc97599020543401ecd036c6121a6736995fb716aabd1a2016393506bee1e3076c61b0c49173d991d990
 SHA512 
cecd3885652e18ba1ffed45e40d12c932ba0d880e96b2f1d264709f55dbda8d6b0c78c3bf4bb940d246b84261d1b80038618735f65302ff62646165b2e932be1
 DIST rspec-core-3.7.1-git.tgz 376819 BLAKE2B 
6747ffd8f2d426718376b51356d8838a7db0d0246ee619e8edef30bd9f7aeeb80bd0488e4fc73b0a00d119074c35055f6b9d0cbbe6160ae78d0727ce9848a710
 SHA512 
1561d044281c1b8b97cc89033ad991548fa74abbc5f20d3951d3f3de754c581a027f9ccb2bd0107c05e744d3b2804555cf4cf207e72adf365b28fc7ce052dab8
+DIST rspec-core-3.8.0-git.tgz 386022 BLAKE2B 
e827f006fe9f05f93b741d021bbb108ae3e98cd23f3388c1fdf2a87d8be349c04e91c810cbb7c47cc99ce99a00f62e13eb01a927b8b89d54dfa437ed46b1d24f
 SHA512 
6d3f431a1f9485009f5029bea967f36cb789be8cf33722b36c40df44e12a2284674c6c8af333bfe8ba8825e032576569fd42c92f798988faad732ac3a720c5e6

diff --git a/dev-ruby/rspec-core/rspec-core-3.8.0.ebuild 
b/dev-ruby/rspec-core/rspec-core-3.8.0.ebuild
new file mode 100644
index 00000000000..c3b7ec4a3d5
--- /dev/null
+++ b/dev-ruby/rspec-core/rspec-core-3.8.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_TEST="none"
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+# Also install this custom path since internal paths depend on it.
+RUBY_FAKEGEM_EXTRAINSTALL="exe"
+
+RUBY_FAKEGEM_GEMSPEC="rspec-core.gemspec"
+
+inherit ruby-fakegem eapi7-ver
+
+DESCRIPTION="A Behaviour Driven Development (BDD) framework for Ruby"
+HOMEPAGE="https://github.com/rspec/rspec-core";
+SRC_URI="https://github.com/rspec/${PN}/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="highlight"
+
+SUBVERSION="$(ver_cut 1-2)"
+
+ruby_add_rdepend "
+       =dev-ruby/rspec-support-${SUBVERSION}*
+       !!<dev-ruby/rspec-core-2.14.8-r4
+       highlight? ( >=dev-ruby/coderay-1.1.1 )
+"
+
+ruby_add_bdepend "test? (
+               >=dev-ruby/nokogiri-1.5.2
+               >=dev-ruby/coderay-1.1.1
+               dev-ruby/syntax
+               >=dev-ruby/thread_order-1.1.0
+               >=dev-ruby/rspec-expectations-3.8.0:3
+               >=dev-ruby/rspec-mocks-2.99.0:3
+       )"
+
+all_ruby_prepare() {
+       # Don't set up bundler: it doesn't understand our setup.
+       sed -i -e '/[Bb]undler/d' Rakefile || die
+
+       # Avoid dependency on cucumber since we can't run the features anyway.
+       sed -i -e '/[Cc]ucumber/ s:^:#:' Rakefile || die
+
+       # Duplicate exe also in bin. We can't change it since internal stuff
+       # also depends on this and fixing that is going to be fragile. This
+       # way we can at least install proper bin scripts.
+       cp -R exe bin || die
+
+       # Avoid unneeded dependency on git.
+       sed -i -e 's/git ls-files --/find/' rspec-core.gemspec || die
+
+       # Avoid aruba dependency so that we don't end up in dependency hell.
+       sed -i -e '/ArubaLoader/,/^end/ s:^:#:' -e '/Aruba/ s:^:#:' 
spec/spec_helper.rb || die
+       rm -f spec/support/aruba_support.rb || die
+       rm -f 
spec/integration/{bisect_runners,failed_line_detection,filtering,order,persistence_failures,suite_hooks_errors}_spec.rb
 || die
+       rm -f 
spec/integration/{spec_file_load_errors,output_stream,fail_if_no_examples}_spec.rb
 || die
+
+       # Avoid a spec failing due to path issues
+       sed -i -e '/does not load files in the default path when run by 
ruby/,/end/ s:^:#:' \
+               spec/rspec/core/configuration_spec.rb || die
+
+       # Avoid a spec that depens on dev-ruby/rspec to lessen circular
+       # dependencies, bug 662328
+       sed -i -e '/loads mocks and expectations when the constants are 
referenced/askip "gentoo: bug 662328"' spec/rspec/core_spec.rb || die
+}
+
+each_ruby_prepare() {
+       sed -i -e 's:ruby -e:'${RUBY}' -e:' spec/rspec/core_spec.rb || die
+}
+
+each_ruby_test() {
+       PATH="${S}/bin:${PATH}" RUBYLIB="${S}/lib" ${RUBY} -Ilib bin/rspec spec 
|| die "Tests failed."
+}
+
+all_ruby_install() {
+       all_fakegem_install
+
+       ruby_fakegem_binwrapper rspec /usr/bin/rspec-3 'gem "rspec", "~>3.0"'
+}

Reply via email to